<?php
/**
 * Template for displaying post specific post cover, background color and images.
 *
 * @package Carbon
 */

$post_id = get_the_ID();

$thumb_id = get_post_thumbnail_id( $post_id );
$thumb_url = wp_get_attachment_image_src( $thumb_id, 'full', true );
$background_image = $thumb_url[0];

?>

<style type="text/css">
	.article-cover__background { background-image: url(<?php echo esc_url( $background_image ); ?>); }
</style>

<div class="article-cover article-cover--<?php echo esc_attr( get_the_ID() ); ?>">
	<div class="article-cover__background"></div>

	<div class="article-cover__inner">
		<div class="article-cover__content">

			<?php get_template_part( '_post', 'header' ); ?>

		</div><!-- .article-cover__content -->
	</div><!-- .article-cover__inner -->

</div><!-- .article-cover -->
