<?php
/**
 * @package Carbon
 */

$image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if ( has_post_thumbnail() ) : ?>
	<style type="text/css">
		.post-<?php echo esc_attr( the_ID() ); ?> { background-image: url(<?php echo esc_url( $image[0] ); ?>); }
	</style>
	<?php endif; ?>

	<a href="<?php the_permalink(); ?>" class="post-link"></a>

	<div class="content-overlay">

		<div class="text-container">
			<?php if ( is_sticky() && $sticky_label = stag_theme_mod( 'theme_options', 'sticky-post-label' ) ) : ?>
				<span class="sticky-post-label">
					<?php echo esc_html( wp_strip_all_tags( $sticky_label ) ); ?>
				</span>
			<?php endif; ?>

			<header class="entry-header">
				<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>
			</header><!-- .entry-header -->

			<?php if ( 'post' == get_post_type() ) : ?>
			<footer class="entry-meta">

				<?php if ( true == stag_theme_mod( 'theme_options', 'show-avatar' ) ) : ?>
					<div class="author-avatar">
						<?php
						/**
						 * Filter the author bio avatar size.
						 *
						 * @since Carbon 1.0
						 *
						 * @param int $size The avatar height and width size in pixels.
						 */
						$author_bio_avatar_size = apply_filters( 'carbon_author_bio_avatar_size', 70 );

						$post_author_id = get_post_field( 'post_author', get_the_ID() );

						echo get_avatar( get_the_author_meta( 'user_email', $post_author_id ), $author_bio_avatar_size );
						?>
					</div><!-- .author-avatar -->
				<?php endif; ?>

				<div class="post-meta">
					<?php carbon_posted_on(); ?>
				</div>
			</footer><!-- .entry-meta -->
			<?php endif; ?>
		</div>

	</div>


</article><!-- #post-## -->
