<?php
/**
 * Jetpack Compatibility File.
 *
 * @see http://jetpack.me/
 *
 * @package Carbon
 */

/**
 * Add theme support for Infinite Scroll.
 *
 * @see http://jetpack.me/support/infinite-scroll/
 */
function carbon_jetpack_setup() {
	add_theme_support( 'infinite-scroll', array(
		'type'           => 'click',
		'container'      => 'content-area',
		'footer'         => 'colophon',
		'wrapper'        => false,
		'posts_per_page' => get_option( 'posts_per_page' )
	) );

	add_theme_support( 'jetpack-social-menu' );
}
add_action( 'after_setup_theme', 'carbon_jetpack_setup' );

if ( ! function_exists( 'carbon_infinite_scroll_js_settings' ) ) :
/**
 * Adjust the JS settings for infinite scroll
 *
 * @since 1.0.
 *
 * @param  array $settings The JS settings
 * @return array           The adjusted settings
 */
function carbon_infinite_scroll_js_settings( $settings ) {
	$settings['text'] = esc_js( __( '&larr; Older Posts', 'carbon' ) );

	return $settings;
}
endif;

add_filter( 'infinite_scroll_js_settings', 'carbon_infinite_scroll_js_settings' );

if ( ! function_exists( 'carbon_remove_jetpack_share' ) ) :
/**
 * Remove default output of Jetpack Sharing buttons.
 *
 * @return void
 */
function carbon_remove_jetpack_share() {
	remove_filter( 'the_content', 'sharing_display', 19 );
	remove_filter( 'the_excerpt', 'sharing_display', 19 );
}
endif;

add_action( 'loop_start', 'carbon_remove_jetpack_share' );
