<?php
/**
 * @package Carbon
 */

$view = carbon_get_view();

?>

<aside class="current-view current-view__<?php echo esc_attr( $view );  ?>">
	<?php

	if ( is_category() ) :
		printf(
				esc_html__( 'Showing all posts in %s', 'carbon' ),
				'<h3>' . single_cat_title( '', false ) . '</h3>'
			);

	elseif ( is_tag() ) :
		printf(
				esc_html__( 'Showing all posts tagged under %s', 'carbon' ),
				'<h3>' . single_tag_title( '', false ) . '</h3>'
			);

	elseif ( is_year() ) :
		printf(
				esc_html__( 'Showing all posts in year %s', 'carbon' ),
				'<h3>' . get_the_date( _x( 'Y', 'yearly archives date format', 'carbon' ) ) . '</h3>'
			);

	elseif ( is_month() ) :
		printf(
				esc_html__( 'Showing all posts in month %s', 'carbon' ),
				'<h3>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'carbon' ) ) . '</h3>'
			);

	elseif ( is_day() ) :
		printf(
				esc_html__( 'Showing all posts dated %s', 'carbon' ),
				'<h3>' . get_the_date( _x( 'F j, Y', 'daily archives date format', 'carbon' ) ) . '</h3>'
			);

	elseif ( is_author() ) :
		printf(
			esc_html__( 'All posts by %s', 'carbon' ),
			'<h3 class="vcard">' . get_the_author() . '</h3>'
		);

		if ( '' != get_the_author_meta( 'description' ) ) :
			echo '<p class="author-description">' . get_the_author_meta( 'description' ) . '</p>';
		endif;

		if ( '' != get_the_author_meta( 'user_url' ) ) :
			echo '<a href="' . esc_url( get_the_author_meta( 'user_url' ) ) . '"><button>' . esc_html__( 'Website', 'carbon' ) . '</button></a>';
		endif;

	endif;

	?>
</aside>
