<?php
/**
 * The sidebar containing the main widget area.
 *
 * @package Carbon
 */

if ( stag_theme_mod( 'theme_options', 'hide-sidebar' ) ) {
	return;
}

if (  ( is_single() || is_page() ) && stag_theme_mod( 'theme_options', 'hide-sidebar-on-posts' ) ) {
	return;
}

if ( ! is_active_sidebar( 'sidebar-1' ) ) {
	return;
}

?>

<div class="widget-area" role="complementary">

	<?php

	// Displays optional elements depending on site view.
	carbon_contextual_view();

	// Load sidebars conditionally depending on page type

	if ( is_archive() && is_active_sidebar( 'sidebar-4' ) ) {
		dynamic_sidebar( 'sidebar-4' );
	} else if ( is_page() && is_active_sidebar( 'sidebar-3' ) ) {
		dynamic_sidebar( 'sidebar-3' );
	} else if ( is_single() && is_active_sidebar( 'sidebar-2' ) ) {
		dynamic_sidebar( 'sidebar-2' );
	} else {
		dynamic_sidebar( 'sidebar-1' );
	}

	?>

</div><!-- #secondary -->
