<?php
/**
 * The template for displaying all single posts.
 *
 * @package Carbon
 */

get_header(); ?>

	<?php
	if ( has_post_thumbnail() ) :
		get_template_part( '_post', 'cover' );
	endif;
	?>

	<div id="primary" class="primary-area">
		<main id="main" class="site-main" role="main">

		<div class="post-content-wrapper">
			<?php if ( ! has_post_thumbnail() ) {
				get_template_part( '_post', 'header' );
			} ?>

			<div class="content-area">
				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'content', 'single' ); ?>
					<?php get_template_part( '_secondary', 'post-meta' ); ?>

					<?php carbon_post_nav(); ?>

					<?php
						// If comments are open or we have at least one comment, load up the comment template
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					?>

				<?php endwhile; // end of the loop. ?>
			</div>

			<?php get_sidebar(); ?>

		</div>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
